<template>
    <ion-grid class="app-mob-dashboard <#if appde??>${appde.getCodeName()?lower_case}-${ctrl.name}</#if> <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
        <div v-show="isEnableCustomized" class="dashboard-enableCustomized" @click="openCustomized">定制仪表盘<app-mob-icon name="settings-outline"></app-mob-icon></div>
        <#list ctrl.getAllPSPortlets() as portlet><#t>
        <#if portlet.getPortletType?? && portlet.getPortletType()?? && portlet.getPortletType() != 'CONTAINER'><#t>
            <ion-card class="dashboard-item ${portlet.getPortletType()?lower_case}"  v-if="!isEnableCustomized">
            ${P.getCtrlCode(portlet, 'CONTROL.html').code}
            </ion-card>
        </#if>
        </#list>
            <template v-for="item in customizeModel">
                <ion-card class="dashboard-item userCustomize ios hydrated" :class="item.componentName + 'dashboard'"  :key="item.id" v-if="isEnableCustomized">
                    <component :is="item.componentName" :viewName="viewName" localeDeName="<#if view.isPSDEView()>${appde.getCodeName()?lower_case}</#if>"   :item="item" :isCustomize="true" :customizeTitle="item.customizeTitle" :viewState="viewState" :name="item.portletCodeName" :context="context" :isChildView="true" :viewparams="viewparams" @enableCustomizedEvent="enableCustomizedEvent"></component>
                </ion-card>
            </template>
    </ion-grid>
</template>