<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>
<#if ctrl.getItemPSLayoutPanel()??>
<#assign layoutpanel=ctrl.getItemPSLayoutPanel()>
    ${P.getCtrlCode(layoutpanel, 'CONTROL.less').code}
</#if>
.ibz-ionic-item{
        --inner-border-width:0;
}
.selectall{
    padding: 0 10px;
    display: flex;
    height: 30px;
    line-height: 30px;
}
.selectal-label {
    padding-left: 15px;
    font-size: 13px;
}
.exit_select-label{
    padding-left: 10px;
    font-size: 13px;
    color: #0072ff;
}
.app-mob-mdctrl{
    position: relative;
    height:100%;
    .app-mob-mdctrl-${ctrl.name}{
        height:100%;
        .loadding {
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .items{
            background: transparent;
            ion-item{
              --border-color:white;
              --padding-start:0;
              --inner-padding-end:0;
              --background-activated:white;
              --background: transparent;
              --inner-padding-end: 10px;
              --padding-start: 10px;
            }
            ion-item-options{
                margin: 0 !important;
                padding: 0 !important;
                border-bottom-width:0px !important;
            }
            .app-mob-mdctrl-item{
                margin-top:10px;
            }
            .app-mob-mdctrl-item:last-child {
                margin-bottom: 10px;
            }
            .item-grouped {
              .text{
                margin: 10px 5px;
                font-size: 13px;
                color: #7c7c7c;
              }
            }
            .van-collapse-item__content{
              padding: 0;
              background-color: transparent;
            }
        }
        .no-data{
            position: absolute;
            font-size: 16px;
            color: #e8e8e8;
            top: calc(50% - 11px);
            left: 50%;
            transform: translate(-50%);
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .pickUpList {
            width: 100%;
            ion-item { 
                --padding-start:20px;
                --inner-padding-end:10px;
                --background-activated:#fff;
                border-bottom: 1px solid #e8e8e86b; 
                background: #fff;
            }
            .app-mob-mdctrl-item:last-child {
                margin-bottom: 0px;
            }
            .app-mob-mdctrl-item{
                margin-top:0;
            }
        }
        .scrollToTop{
          opacity: 0;
          position: absolute;
          right: 20px;
          bottom: 120px;
          width: 30px;
          height: 30px;
          border-radius: 50%;
          line-height: 40px;
          text-align: center;
          background-color: #fff;
          box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.2);
          .van-icon{
            font-size: 20px;
            color: #333;
          }
        }
    }
}
<#if appde??>
// ${appde.getLogicName()}-${ctrl.getLogicName()} 样式
.${appde.getCodeName()?lower_case}-${ctrl.name}{}
</#if>