/**
 * ${item.getName()}
 * 
 * @param {*} [item={}]
 * @memberof ${srfclassname('${ctrl.codeName}')}
 */
protected click${item.codeName}(item: any = {}){
  <#if item.getPSPDTAppFuncId()?? && item.getPSPDTAppFuncId() == "LOGOUT">
  const title: any = this.$t("app.tabpage.sureclosetip.title");
  const get: Promise<any> = this.$http.get("/v7/logout");
  get.then((response: any) => {
      if (response && response.status === 200) {
          if (localStorage.getItem("user")) {
              localStorage.removeItem("user");
          }
          if (localStorage.getItem("token")) {
              localStorage.removeItem("token");
          }
          if (sessionStorage.getItem("currId")) {
              sessionStorage.removeItem("currId")
          }
          // 清除cookie
          Util.clearCookie('ibzuaa-token',true);
          Util.clearCookie('ibzuaa-user',true);
          Util.clearCookie('srforgid',true);
          Util.clearCookie('srfsystemid',true);
            localStorage.clear();
          this.$store.commit('addAppData', null);
                
          this.$router.push({ name: "login" });
      }
  })
  .catch((error: any) => {
      console.error(error);
  });
  <#elseif item.getPSPDTAppFuncId()?? && item.getPSPDTAppFuncId() == "CLEARCACHE">
      const result: Promise<any> = this.$notice.confirm("清除缓存", "清除缓存可能会导致当前登录信息失效！！！");
      result.then((response: any) => {
        localStorage.clear();
      });
  <#elseif item.getPSPDTAppFuncId()?? && item.getPSPDTAppFuncId() == "ABOUT">
      return new Promise(async () => {
        const alert = await alertController.create({
          header: Environment.AppTitle,
          message: `当前系统版本<#noparse>${Environment.AppVersion}</#noparse>`,
          buttons: [
            {
              text: "确认",
              cssClass: "secondary",
            },
          ],
        });
        await alert.present();
      });
  </#if>
}