export const PageComponents = {
    install(Vue: any, opt: any) {
        <#--  应用发布所有视图  -->
        <#if view.getAllRelatedPSAppViewsEx?? && view.getAllRelatedPSAppViewsEx()??>
        <#list view.getAllRelatedPSAppViewsEx() as appview>
        Vue.component('${srffilepath2(appview.getCodeName())}', () => import('@pages/${srffilepath2(appview.getPSAppModule().getCodeName())}/${srffilepath2(appview.getCodeName())}/${srffilepath2(appview.getCodeName())}.vue'));
        </#list>
        </#if>

        <#-- 应用下所有用户引用为true的视图注册start -->
        <#if app.getAllPSAppViews?? && app.getAllPSAppViews()??>
        <#list app.getAllPSAppViews() as appview>
        <#if appview.isUserRefMode() && appview.getViewType() != "APPINDEXVIEW">
        Vue.component('${srffilepath2(appview.getCodeName())}', () => import('@pages/${srffilepath2(appview.getPSAppModule().getCodeName())}/${srffilepath2(appview.getCodeName())}/${srffilepath2(appview.getCodeName())}.vue'));
        </#if>
        </#list>
        </#if>
        <#-- 应用下所有用户引用为true的视图注册end -->
    }
};