<#ibizinclude>
../@MACRO/ISOUTPUTTOOLBAR.ftl
</#ibizinclude>
<#ibizinclude>
../../../@NAVPARAMS/FUNC/PUBLIC.vue.ftl
</#ibizinclude>
<#if view.getPSSysCss?? && view.getPSSysCss()??>
<#assign styleName = view.getPSSysCss().getCssName()/>
</#if>
<#if styleName?? && styleName == "TopFullScreen">
<#assign isStyleName = true/>
<#else>
<#assign isStyleName = false/>
</#if>
<ion-page :className="{ 'view-container': true<#if !isStyleName>, 'default-mode-view': true</#if>, '${view.getViewType()?lower_case}': true, '${srffilepath2(view.getCodeName())}': true<#if view.getPSSysCss?? && view.getPSSysCss()??>, '${view.getPSSysCss().getCssName()}': true</#if> }">
    
    <app-mob-header>
    <#if !view.isShowCaptionBar?? || view.isShowCaptionBar() == true>
        <ion-toolbar v-show="titleStatus" class="ionoc-view-header">
            <ion-buttons slot="start">
                <app-mob-button 
                    v-show="isShowBackButton" 
                    ref="backbtn"
                    iconName="chevron-back" 
                    :text="$t('app.button.back')" 
                    @click="closeView" />
        <#--  输出左侧工具栏：BEGIN  -->
        <#list view.getAllPSControls() as ctrl>
        <#if ctrl.getControlType() == 'TOOLBAR' && ctrl.getToolbarStyle?? && ctrl.getToolbarStyle() == 'MOBNAVLEFTMENU'>
            <@ibizindent blank=16>
                ${P.getCtrlCode(ctrl,'CONTROL.html').code}
            </@ibizindent>
        </#if>
        </#list>
        <#--  输出左侧工具栏：END  -->
            </ion-buttons>
            <#if !view.isShowCaptionBar?? || view.isShowCaptionBar() == true><app-mob-title class="view-title"><label class="title-label"><app-mob-icon v-if="model.icon" :name="model.icon"></app-mob-icon> <img v-else-if="model.iconcls" :src="model.iconcls" alt=""> {{$t(model.srfCaption)}}</label></app-mob-title></#if>
        <#--  输出右侧工具栏：BEGIN  -->
        <#if isOutputToolBar('MOBNAVRIGHTMENU')>
            <ion-buttons slot="end">
            <#list view.getAllPSControls() as ctrl>
            <#if ctrl.getControlType() == 'TOOLBAR' && ctrl.getToolbarStyle?? && ctrl.getToolbarStyle() == 'MOBNAVRIGHTMENU'>
            <@ibizindent blank=16>
                ${P.getCtrlCode(ctrl,'CONTROL.html').code}
            </@ibizindent>
            </#if>
            </#list>
            </ion-buttons>
        </#if>
        <#--  输出右侧工具栏左：END  -->
        </ion-toolbar>
        </#if>
        <#--  输出工具栏分组：BEGIN  -->
        <#list view.getAllPSControls() as ctrl>
        <#if ctrl.getControlType() == 'TOOLBAR'>
        <#if ctrl.getToolbarStyle() == 'MOBNAVRIGHTMENU' || ctrl.getToolbarStyle() == 'MOBNAVLEFTMENU'>
        <#list ctrl.getPSDEToolbarItems() as item>
        <#if item.getItemType() == 'ITEMS'>
        <ion-backdrop tappable="false" style="height :100vh;z-index: 99;" v-show="${ctrl.name}Models.${item.name}.isshow" @ionBackdropTap="${ctrl.name}Models.${item.name}.isshow=false" visible="true"></ion-backdrop>
        <div class="toolbar_group_<#if ctrl.getToolbarStyle() == 'MOBNAVRIGHTMENU'>right<#else>left</#if>" v-show="${ctrl.name}Models.${item.name}.isshow" >
            <ion-list class="ionlist">
        <#list item.getPSDEToolbarItems() as toolbarItem>
                <ion-item  @click="${ctrl.name}_click({ tag: '${toolbarItem.name}' }, $event), ${ctrl.name}Models.${item.name}.isshow=false"><#if toolbarItem.isShowIcon()><#if toolbarItem.getPSSysImage()??>  <app-mob-icon name="<@setIcon toolbarItem />" class="group_ion-icon"></app-mob-icon><#else><app-mob-icon class="group_ion-icon" name="reorder-four-outline"></app-mob-icon></#if></#if> {{<#if toolbarItem.isShowCaption()><#if langbase??>$t('${langbase}.${toolbarItem.name}.caption')<#else>'${toolbarItem.getCaption()}'</#if></#if>}} </ion-item>
        </#list>
                <ion-item  @click="${ctrl.name}Models.${item.name}.isshow=false"> <app-mob-icon name="close" class="group_ion-icon"></app-mob-icon> 关闭 </ion-item>
            </ion-list>
        </div>
        </#if>
        </#list>
        </#if>
        </#if>
        </#list>
        <#--  输出工具栏分组：END  -->

    <#--  输出快速搜索：BEGIN  -->
    <#if view.isEnableQuickSearch?? && view.isEnableQuickSearch() == true>
        <app-search-history @quickValueChange="quickValueChange" :model="model" :showfilter="${view.hasPSControl('searchform')?c}"></app-search-history>
    </#if>

    <#if view.isEnableQuickGroup?? && view.isEnableQuickGroup()?? && view.isEnableQuickGroup() == true>
    <app-quick-group-tab
        :items="quickGroupModel"
        @valuechange="quickGroupValueChange($event)"
        :pageTotal="pageTotal"
    ></app-quick-group-tab>
    </#if>
    
    <#--  自定义头部快速搜索：BEGIN  -->    
        <#if view_enableQuickSearch??>
            ${view_enableQuickSearch}
        </#if>
    <#--  自定义头部快速搜索：END  -->
    <#--  输出快速搜索：END  -->
    <#--  自定义头部按钮：BEGIN  -->    
    <#if view_header_botton??>
        <@ibizindent blank=12>
        ${view_header_botton}
        </@ibizindent>
    </#if>
    <#--  自定义头部按钮：END  -->
    </app-mob-header>

    <#--  搜索表单：BEGIN   -->
    <#if view.hasPSControl('searchform')>
    <van-popup get-container="#app" :lazy-render="false" duration="0.2" v-model="searchformState" position="right" class="searchform" style="height: 100%; width: 85%;"  >
        <app-mob-header>
            <ion-toolbar translucent>
                <app-mob-title>{{$t('app.searchForm.title')}}</app-mob-title>
            </ion-toolbar>
        </app-mob-header>
        <div class="searchform_content">
            ${P.getCtrlCode('searchform', 'CONTROL.html').code}
        </div>
        <ion-footer>
        <div class="search-btn">
            <app-mob-button 
            class="search-btn-item"
            :text="$t('app.searchForm.searchButton.reset')" 
            color="light" 
            shape="round" 
            size="small"
            @click="onReset" />
            <app-mob-button 
            class="search-btn-item" 
            shape="round" 
            size="small" 
            :text="$t('app.searchForm.searchButton.search')" 
            @click="onSearch" />
        </div>
        </ion-footer>
    </van-popup>
    <div id="searchform<#if view.getName()??>${view.getName()?lower_case}</#if>"></div>
    </#if>
    <#--  搜索表单：END   -->
    <ion-content <#if isScroll??>:scroll-events="true" @ionScroll="onScroll" ref="ionScroll" @ionScrollEnd="onScrollEnd"</#if>>
    <#--  视图是否支持下拉刷新：BEGIN  -->
    <#if view.isEnablePullDownRefresh?? && view.isEnablePullDownRefresh()>
        <ion-refresher 
            slot="fixed" 
            ref="loadmore" 
            pull-factor="0.5" 
            pull-min="50" 
            pull-max="100" 
            @ionRefresh="pullDownToRefresh($event)">
            <ion-refresher-content
                pulling-icon="arrow-down-outline"
                :pulling-text="$t('app.pulling_text')"
                refreshing-spinner="circles"
                refreshing-text="">
            </ion-refresher-content>
        </ion-refresher>
    </#if>
    <#--  视图是否支持下拉刷新：END  -->
    <@ibizindent blank=8>
    <#if view_content??>
        ${view_content}
    </#if>
    </@ibizindent>
    </ion-content>
<#--  输出底部工具栏或者底部内容：BEGIN  -->
<#if isOutputToolBar('MOBBOTTOMMENU') || view_footer??>
    <ion-footer class="view-footer">
    <#list view.getAllPSControls() as ctrl>
    <#if ctrl.getControlType() == 'TOOLBAR' && ctrl.getToolbarStyle?? && ctrl.getToolbarStyle() == 'MOBBOTTOMMENU'>
    <@ibizindent blank=8>
        ${P.getCtrlCode(ctrl,'CONTROL.html').code}
    </@ibizindent>
    </#if>
    </#list>
    <#if view_footer??>
        ${view_footer}
    </#if>
    <#if view.getViewType() == 'DEMOBMDVIEW' || view.getViewType() == 'DEMOBMDVIEW9'>
    <div class="scroll_tool">
        <div class="scrollToTop" @click="onScrollToTop" v-show="isShouleBackTop" :style="{right:isScrollStop?'-18px':'-70px'}" > <van-icon name="back-top" /></div> 
    </div>
    </#if>
    </ion-footer>
</#if>
</ion-page>